import { IOElement } from '../../IOElement';
import { Position } from '../geometry/types';
export declare function getPosition(element: IOElement): Position;
export declare function getRelativePosition(element: IOElement, relative: HTMLElement): Position;
export declare function getTextRelativePosition(element: Text, relative: HTMLElement): Position;
export declare function getSVGRelativePosition(element: SVGElement, relative: HTMLElement): Position;
export declare function getHTMLRelativePosition(element: HTMLElement, relative: HTMLElement): Position;
export declare function getParentPosition(element: HTMLElement, relative: HTMLElement): Position;
export declare function getScrollPosition(element: HTMLElement, relative: HTMLElement): Position;
export declare function getLocalPosition(element: HTMLElement): Position;
